TESTING/LIN/ztsqr01.f(3)

NAME
TESTING/LIN/ztsqr01.f

SYNOPSIS

  Functions/Subroutines
subroutine ztsqr01 (tssw, m, n, mb, nb, result)
ZTSQR01

Function/Subroutine Documentation

  subroutine ztsqr01 (character tssw, integer m, integer n, integer mb, integer nb, double precision, dimension(6) result)

ZTSQR01

Purpose:

     ZTSQR01 tests ZGEQR , ZGELQ, ZGEMLQ and ZGEMQR.

Parameters
    TSSW

              TSSW is CHARACTER
              'TS' for testing tall skinny QR
                   and anything else for testing short wide LQ

    M

              M is INTEGER
              Number of rows in test matrix.

    N

              N is INTEGER
              Number of columns in test matrix.

    MB

              MB is INTEGER
              Number of row in row block in test matrix.

    NB

              NB is INTEGER
              Number of columns in column block test matrix.

    RESULT

              RESULT is DOUBLE PRECISION array, dimension (6)
              Results of each of the six tests below.
              RESULT(1) = | A - Q R | or | A - L Q |
              RESULT(2) = | I - Q^H Q | or | I - Q Q^H |
              RESULT(3) = | Q C - Q C |
              RESULT(4) = | Q^H C - Q^H C |
              RESULT(5) = | C Q - C Q |
              RESULT(6) = | C Q^H - C Q^H |

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 81 of file ztsqr01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.